%define _legacy_common_support 1
Name:           cellwriter
Summary:        Character-based handwriting input panel
Version:        1.3.6
Release:        %mkrel 6
Group:          Accessibility
License:        GPLv2
URL:            https://github.com/risujin/cellwriter
Source0:        https://github.com/risujin/cellwriter/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cellwriter-fix-build-with-gcc15.patch
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(gtk+-2.0)

%description
CellWriter is a grid-entry natural handwriting input panel. As you write
characters into the cells, your writing is instantly recognized at the
character level. When you press Enter on the panel, the input you entered is
sent to the currently focused application as if typed on the keyboard.

%prep
%autosetup -p1

# make autoreconf happy
sed -i -e 's,\(^AM_INIT_AUTOMAKE\)\((\[\(.*\)\])\|(\(.*\))\|.*\),\1([subdir-objects \3\4]),' configure.ac

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_iconsdir}/hicolor/scalable/apps/cellwriter.svg
%{_datadir}/applications/*


%changelog
* Fri May 09 2025 ns80 <ns80> 1.3.6-6.mga10
+ Revision: 2182225
- try to fix building with GCC 15

* Sat Mar 26 2022 umeabot <umeabot> 1.3.6-5.mga9
+ Revision: 1828329
- Mageia 9 Mass Rebuild

* Wed Aug 05 2020 joequant <joequant> 1.3.6-4.mga8
+ Revision: 1611151
- fix
- fix common

* Fri Feb 14 2020 umeabot <umeabot> 1.3.6-3.mga8
+ Revision: 1521045
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 16 2018 wally <wally> 1.3.6-2.mga7
+ Revision: 1341577
- drop unneeded libgnome-2.0 BR

* Mon Dec 03 2018 daviddavid <daviddavid> 1.3.6-1.mga7
+ Revision: 1337723
- new version: 1.3.6
- update URL and Source URL

* Sat Sep 22 2018 umeabot <umeabot> 1.3.5-6.mga7
+ Revision: 1296046
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.3.5-5.mga6
+ Revision: 932572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.5-4.mga5
+ Revision: 743954
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.5-3.mga5
+ Revision: 678346
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.5-2.mga4
+ Revision: 531228
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 dams <dams> 1.3.5-1.mga4
+ Revision: 462581
- new version 1.3.5
- remove useless patches

* Fri Jan 11 2013 umeabot <umeabot> 1.3.4-6.mga3
+ Revision: 347562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 1.3.4-5.mga3
+ Revision: 335036
- add patch to fix linking
- clean .spec a bit

* Sun Apr 10 2011 dmorgan <dmorgan> 1.3.4-4.mga1
+ Revision: 82805
- imported package cellwriter


* Sun May 02 2010 Funda Wang <fwang@mandriva.org> 1.3.4-4mdv2010.1
+ Revision: 541555
- fix perm

* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.3.4-3mdv2010.1
+ Revision: 502678
- fix licence

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 1.3.4-2mdv2010.0
+ Revision: 436989
- rebuild

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 1.3.4-1mdv2009.1
+ Revision: 355280
- New version 1.3.4

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.2.4-3mdv2009.0
+ Revision: 243472
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Oct 18 2007 Austin Acton <austin@mandriva.org> 1.2.4-1mdv2008.1
+ Revision: 99984
- fix buildrequires
- import cellwriter


